import type { HexEncodedString } from '../utils/hex-encoded-types';
import { Payload } from './payload';
/**
 * Block layout.
 */
export declare class Block {
    /**
     * The protocol version under which this block operates.
     */
    protocolVersion: number;
    /**
     * The parent block ids.
     */
    parents: HexEncodedString[];
    /**
     * The payload contents.
     */
    payload?: Payload;
    /**
     * The nonce for the block.
     */
    nonce: string;
}
